## edu.stanford.nlp.ling
Interface HasContext

All Known Implementing Classes:
  CoreLabel, CyclicCoreLabel

    public interface HasContext

Author:
  grenager

Method Summary
`String` `after()` Return the String after the word.
`void` `appendAfter(String after)` Append this String to the current after String
`String` `before()`
`String` `current()` Return the String which is the unmangled word.
`void` `prependBefore(String before)` Prepend this String to the before String.
`void` `setAfter(String after)` Set the String after the word.
`void` `setBefore(String before)` Set the String before the word.
`void` `setCurrent(String current)` Set the String which is the unmangled word.

Method Detail

### before

    String before()

  Returns:
    the String before the word

### setBefore

    void setBefore(String before)

  Set the String before the word.

  Parameters:
    `before` - the String before the word

### prependBefore

    void prependBefore(String before)

  Prepend this String to the before String.

  Parameters:
    `before` - the String to be prepended

### current

    String current()

  Return the String which is the unmangled word.

  Returns:
    the unmangled word

### setCurrent

    void setCurrent(String current)

  Set the String which is the unmangled word.

  Parameters:
    `current` - the unmangled word

### after

    String after()

  Return the String after the word.

  Returns:
    the String after the word

### setAfter

    void setAfter(String after)

  Set the String after the word.

  Parameters:
    `after` - The String after the word

### appendAfter

    void appendAfter(String after)

  Append this String to the current after String

  Parameters:
    `after` - The String to be prepended

Stanford NLP Group